Legacy CHEESE API

Similarity

Suggest an edit
GET
/similarity

Calculate the similarity between two molecules.

This endpoint allows users to calculate the similarity between two molecules based on their SMILES strings.

Parameters:

  • smiles1 (str): The SMILES string of the first molecule.
  • smiles2 (str): The SMILES string of the second molecule.
  • similarity_metric (EmbNames): The model and similarity metric to use for the calculation.
  • distance_type (DistanceType): The type of vector distance to use for the similarity calculation.

Returns:

  • A JSON response containing the similarity score between the two molecules.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

smiles1?Smiles1
Default"CC(=O)Oc1ccccc1C(=O)O"
smiles2?Smiles2
Default"CC(=O)Oc1cnccc1C(=O)O"
similarity_metric?EmbNames

CHEESE Model & Similarity Metric

Default"all"

Value in

  • "all"
  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
distance_type?DistanceType

Select Vector Distance

Default"euclidean"

Value in

  • "euclidean"
  • "cosine"

Response Body

application/json

application/json

curl -X GET "https://example.com/similarity"
null